\section{Conclusions}
\label{sec:concl}

The present work can be seen from different perspectives.  First, from the perspective of research on the PALS methodology, its main contribution is to demonstrate that Multirate PALS, when used in combination with a tool like Real-Time Maude, can be effectively applied to the formal verification of nontrivial DCPS designs, and even to the process of refining a DCPS design before it is verified.  Second, from the perspective of the formal specification and verification of distributed hybrid systems, it also shows that Real-Time Maude is an effective tool for specifying and verifying such systems.

Much work remains ahead.  On the one hand, more case studies like this one should be developed.  On the other hand,
our work in \cite{icfem11}, which
applies  PALS to a synchronous fragment of the AADL CPS modeling language in the single rate case, should be extended to the Multirate PALS case.  Finally, the hybrid system applications of Real-Time Maude should be further developed independently of PALS.  Several such applications have been developed in the past; but many more are possible, and a richer experience will be gained.
